﻿using System;
using System.Drawing;
using MonoTouch.Foundation;
using MonoTouch.UIKit;
using Infragistics;
namespace IGChartView_DataPointHighlighting_Xamarin
{
	public partial class IGChartView_DataPointHighlighting_XamarinViewController : UIViewController
	{
		IGChartView _chart;
		IGCategorySeriesDataSourceHelper _helper;
		MyChartViewDelegate _delegate;

		static bool UserInterfaceIdiomIsPhone {
			get { return UIDevice.CurrentDevice.UserInterfaceIdiom == UIUserInterfaceIdiom.Phone; }
		}

		public IGChartView_DataPointHighlighting_XamarinViewController ()
			: base (UserInterfaceIdiomIsPhone ? "IGChartView_DataPointHighlighting_XamarinViewController_iPhone" : "IGChartView_DataPointHighlighting_XamarinViewController_iPad", null)
		{
		}

		public override void DidReceiveMemoryWarning ()
		{
			// Releases the view if it doesn't have a superview.
			base.DidReceiveMemoryWarning ();
			
			// Release any cached data, images, etc that aren't in use.
		}

		public override bool PrefersStatusBarHidden ()
		{
			return true;
		}
		public override void ViewDidLoad ()
		{
			base.ViewDidLoad ();
			
			// Perform any additional setup after loading the view, typically from a nib.

			_delegate = new MyChartViewDelegate ();
			_chart = new IGChartView ();
			_chart.Frame = new RectangleF (0, 0, this.View.Bounds.Size.Width, this.View.Bounds.Size.Height);
			_chart.AutoresizingMask = UIViewAutoresizing.FlexibleHeight | UIViewAutoresizing.FlexibleWidth;

			this.View.AddSubview (_chart);
			_chart.Delegate = _delegate;
			_chart.BackgroundColor = UIColor.FromWhiteAlpha (0.85f, 1);

			// setting up the data source helper
			_helper = new IGCategorySeriesDataSourceHelper (MyFakeData.MakeData().ToArray (), "value");
			_helper.LabelPath = "label";

			// making a quick column series


			IGColumnSeries columnSeries =(IGColumnSeries) _chart.AddSeries ( new MonoTouch.ObjCRuntime.Class ("IGColumnSeries"),
				"a", _helper, "x", "y");
			columnSeries.XAxis.LabelBrush =columnSeries.YAxis.LabelBrush = new IGBrush (UIColor.White);
			columnSeries.YAxis.Minimum = 0;
			columnSeries.YAxis.Maximum = 11;
			columnSeries.YAxis.MajorStrokeThickness = 0;
			columnSeries.XAxis.MajorStrokeThickness	= 0;

			// In order for the delegate to use it's method, we need to turn it on for the series.  Otherwise
			// the series will display it's default colors.
			columnSeries.IsCustomCategoryStyleAllowed = true;
		}
	}
}

