﻿using System;
using Infragistics;

namespace IGChartView_DataPointHighlighting_Xamarin
{
	public class MyChartViewDelegate : IGChartViewDelegate
	{
		public MyChartViewDelegate ()
		{
		}

		public override void RenderHighlight (IGChartView chartView, IGSeries series, IGAssigningCategoryStyleEventArgs args)
		{
			if (series.Key == "a") {
			
				// so this delegate method gets passed in information about the rendering.  For this sample
				// we know we are getting 10 data points so from the start index we will change the alpha level
				int i =  args.StartIndex;

				// once we figure out what the new color will be, we set the brush that will be used for the data item.
				float percent = .9f - (((float)args.StartIndex/10f) * .4f);
				args.Fill =  new IGBrush( 136f/255f ,46f/255f ,75f/255f , percent);


				// ok the above code is pretty simple and just uses the index of the item as the only data.  But by using the index we can find the underlying data object by looking through the data series.  So if we need the actual data series object we can get that.

				MyFakeData fakeData =  (MyFakeData) ((IGCategorySeriesDataSourceHelper) series.DataSource).Data[i]  ;

				if (fakeData.NonCompleteData)
				{
					args.Stroke =   new IGBrush(52f/255f,179f/255f, 222f/255f,1f );
					args.StrokeThickness = 4.0f;
				}
			}
		}
	}
}

